import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { AlertService } from 'nmce';
import { Observable } from 'rxjs';
import { HtmlDocEditorDialogBaseComponent } from './htmlDocEditorDialogBase.directive';
import * as i0 from "@angular/core";
/**
 * Display text area for text of consultation to be saved in Local Storage.
 * Different fields will trigger different events which will be further handled.
 * This component is used by multiple functions via different routes, or by HTML tempalte so noteLabel and modelChanged will be used.
 */
export declare class LocalDocHtmlEditorDialogComponent extends HtmlDocEditorDialogBaseComponent implements OnInit {
    data: {
        [k: string]: any;
    };
    actionsAlign: string;
    dialogRef: MatDialogRef<LocalDocHtmlEditorDialogComponent>;
    protected uploadUrl: string | undefined;
    protected alertService: AlertService;
    constructor(data: {
        [k: string]: any;
    }, actionsAlign: string, dialogRef: MatDialogRef<LocalDocHtmlEditorDialogComponent>, uploadUrl: string | undefined, alertService: AlertService);
    /**
     * For existing, load; for new, if with letterTemplateId, then use the template to render the data and show html generated;
     * otherwise, show blank HTML doc.
     */
    ngOnInit(): void;
    protected createMeta(): {
        [k: string]: string;
    };
    protected saveAndClose(): void;
    protected loadBlobStorage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalDocHtmlEditorDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LocalDocHtmlEditorDialogComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
export declare class LocalDocEditorDialogService {
    private dialog;
    constructor(dialog: MatDialog);
    /**
     * Display HTML document or create new HTML document with a template
     * @param data
     */
    open(data: {
        [k: string]: any;
    }): Observable<{
        [k: string]: string;
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalDocEditorDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalDocEditorDialogService>;
}
